import { Component, Directive, ElementRef, Injectable, NgModule, Pipe } from '@angular/core';
import { CommonModule } from '@angular/common';

var A2popComponent = (function () {
    function A2popComponent() {
    }
    return A2popComponent;
}());
A2popComponent.decorators = [
    { type: Component, args: [{
                selector: 'a2pop-component',
                template: "<h1>A2pop component</h1>"
            },] },
];
/**
 * @nocollapse
 */
A2popComponent.ctorParameters = function () { return []; };

var A2popDirective = (function () {
    /**
     * @param {?} el
     */
    function A2popDirective(el) {
        this.el = el;
    }
    return A2popDirective;
}());
A2popDirective.decorators = [
    { type: Directive, args: [{
                selector: '[a2popDirective]'
            },] },
];
/**
 * @nocollapse
 */
A2popDirective.ctorParameters = function () { return [
    { type: ElementRef, },
]; };

/**
 * Transforms any input value
 */
var A2popPipe = (function () {
    function A2popPipe() {
    }
    /**
     * @param {?} value
     * @param {?=} args
     * @return {?}
     */
    A2popPipe.prototype.transform = function (value, args) {
        if (args === void 0) { args = null; }
        return value;
    };
    return A2popPipe;
}());
A2popPipe.decorators = [
    { type: Pipe, args: [{
                name: 'a2popPipe'
            },] },
    { type: Injectable },
];
/**
 * @nocollapse
 */
A2popPipe.ctorParameters = function () { return []; };

var A2popService = (function () {
    function A2popService() {
    }
    return A2popService;
}());
A2popService.decorators = [
    { type: Injectable },
];
/**
 * @nocollapse
 */
A2popService.ctorParameters = function () { return []; };

var A2popModule = (function () {
    function A2popModule() {
    }
    /**
     * @return {?}
     */
    A2popModule.forRoot = function () {
        return {
            ngModule: A2popModule,
            providers: [A2popService]
        };
    };
    return A2popModule;
}());
A2popModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule
                ],
                declarations: [
                    A2popComponent,
                    A2popDirective,
                    A2popPipe
                ],
                exports: [
                    A2popComponent,
                    A2popDirective,
                    A2popPipe
                ]
            },] },
];
/**
 * @nocollapse
 */
A2popModule.ctorParameters = function () { return []; };

export { A2popModule, A2popComponent, A2popDirective, A2popPipe, A2popService };
